Bug 226074 - Merge Review: libXft
Merge Review: libXft
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:30 EST by Nobody's working on this, feel free to take it
Modified: 2008-01-16 21:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 21:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:30:55 EST
Fedora Merge Review: libXft

http://cvs.fedora.redhat.com/viewcvs/devel/libXft/
Initial Owner: sandmann@redhat.com
Comment 1 Parag AN(पराग) 2007-09-03 11:44:07 EDT
rpmlint on Binary rpm gave me
E: libXft zero-length /usr/share/doc/libXft-2.1.12/NEWS
  => Remove zero-length files from installing them on system.

W: libXft invalid-license MIT/X11
The value of the License tag was not recognized.  Known values are:
"AFL", "Affero GPL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic clarified", "Boost", "BSD with
advertising", "BSD", "CeCILL", "CDDL", "CPL", "Condor", "Cryptix", "EPL",
"eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "GPL+", "GPLv2", "GPLv2+",
"GPLv3", "GPLv3+", "IBM", "iMatix", "Intel ACPI", "Interbase", "Jabber",
"LaTeX", "LGPL+", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3",
"LGPLv3+", "LPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OpenSSL", "Phorum", "PHP", "Public Domain", "Python",
"QPL", "RPSL", "Ruby", "Sleepycat", "SMLNJL", "SISSL", "SPL", "Vim", "VNLSL",
"VSL", "W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication",
"CC-BY", "CC-BY-SA", "DSL", "Free Art", "Arphic", "SIL Open Font",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".
 =>update license tag as MIT only. (MIT looks ok but X11 is not recognized)

W: libXft obsolete-not-provided XFree86-libs
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

W: libXft obsolete-not-provided xorg-x11-libs
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

=> add Provides: tag with versions
   check
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d
Comment 2 Parag AN(पराग) 2007-09-27 23:38:12 EDT
ping?
Can you update SPEC for further review?
Comment 3 Parag AN(पराग) 2008-01-11 04:26:27 EST
This is merge-review where maintainer should be assumed to be capable of solving
simple packaging issues and not required to ask reviewer to give patch.

Comment 4 Parag AN(पराग) 2008-01-11 05:56:29 EST
sandmann,
   As you asked me to provide patch here it is
--- libXft.spec 2007-08-22 02:05:45.000000000 +0530
+++ libXft-new.spec     2008-01-11 16:22:25.000000000 +0530
@@ -1,15 +1,14 @@
 Summary: X.Org X11 libXft runtime library
 Name: libXft
 Version: 2.1.12
-Release: 3%{?dist}
-License: MIT/X11
+Release: 4%{?dist}
+License: MIT
 Group: System Environment/Libraries
 URL: http://www.x.org
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
 
-BuildRequires: pkgconfig
 BuildRequires: xorg-x11-proto-devel
 BuildRequires: libX11-devel
 BuildRequires: libXrender-devel
@@ -74,7 +73,7 @@
 
 %files
 %defattr(-,root,root,-)
-%doc AUTHORS COPYING README ChangeLog NEWS
+%doc AUTHORS COPYING README ChangeLog
 %{_libdir}/libXft.so.2
 %{_libdir}/libXft.so.2.1.2
 
@@ -95,6 +94,9 @@
 %{_mandir}/man3/Xft.3*
 
 %changelog
+* Fri Jan 11 2008 parag <paragn@fedoraproject.org> 2.1.12-4
+- Merge-review #226074
+
 * Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 2.1.12-3
 - Rebuild for build id
 
Review this patch and open ACL for this package if you are not have enough time
to resolve this ticket.
Comment 5 Søren Sandmann Pedersen 2008-01-11 14:24:21 EST
Why was AUTHORS and README removed from %doc in libXi, but not here?
Comment 6 Parag AN(पराग) 2008-01-12 00:25:06 EST
I think you really really need to either give up your package maintainance or
look how reviewing of other packages done.
Are you not aware of rpmlint command? Haven't you seen rpmlint output I posted
in comment #1? That really says packaging zero length files is packaging error.
This is the reason Merge-review tickets got open as core packages never gone
through any reviews and also packaging guidelines formed in recent years.

Why should we make packages to install zero-length files on fedora system and
increase unnecessary file listing? 
Comment 7 Parag AN(पराग) 2008-01-16 01:39:12 EST
CVS got SPEC cleanups changes now.

APPROVED.

Note You need to log in before you can comment on or make changes to this bug.